ptx(1)

NAME
ptx - Produce a permuted index of file contents Output a permuted index, including context, of the words in the input files. Mandatory arguments to long options are mandatory for short options too. With no FILE, or when FILE is -, read standard input. Default is '-F /'.

SYNOPSIS
ptx [-A|--auto-reference] [-G|--traditional] [-F|--flag-truncation] [-M|--macro-name] [-O|--format=roff] [-R|--right-side-refs] [-S|--sentence-regexp] [-T|--format=tex] [-W|--word-regexp] [-b|--break-file] [-f|--ignore-case] [-g|--gap-size] [-i|--ignore-file] [-o|--only-file] [-r|--references] [-w|--width] [-h|--help] [-V|--version] [file]

DESCRIPTION
Produce a permuted index of file contents Output a permuted index, including context, of the words in the input files. Mandatory arguments to long options are mandatory for short options too. With no FILE, or when FILE is -, read standard input. Default is '-F /'.

OPTIONS

-A, --auto-reference
    output automatically generated references

-G, --traditional
    behave more like System V 'ptx'

-F, --flag-truncation=STRING
    use STRING for flagging line truncations

-M, --macro-name=STRING
    macro name to use instead of 'xx'

-O, --format=roff
    generate output as roff directives

-R, --right-side-refs
    put references at right, not counted in -w

-S, --sentence-regexp=REGEXP
    for end of lines or end of sentences

-T, --format=tex
    generate output as TeX directives

-W, --word-regexp=REGEXP
    use REGEXP to match each keyword

-b, --break-file=FILE
    word break characters in this FILE

-f, --ignore-case
    fold lower case to upper case for sorting

-g, --gap-size=NUMBER
    gap size in columns between output fields

-i, --ignore-file=FILE
    read ignore word list from FILE

-o, --only-file=FILE
    read only word list from this FILE

-r, --references
    first field of each line is a reference

-w, --width=NUMBER
    output width in columns, reference excluded

-h, --help
    Print help

-V, --version
    Print version

VERSION
v0.0.23